[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: dnshistory (updated package)

On Tue, Apr 28, 2009 at 1:04 AM, Matthias Julius <mdeb@julius-net.net> wrote:

> I would really be grateful if someone could take a look at this
> package and possibly upload it for me.

You build-depend on libdb-dev, in sid that depends on libdb4.7-dev but
the current dnshistory package is built against libdb4.6. Should you
add another debian/NEWS entry about this? I'm not sure what to do in
this situation, could you investigate?

Only the above is a blocker, some other things you may want to look at:

Please use $(QUILT_STAMPFN) instead of patch in debian/rules.

Please make build-stamp depend on configure-stamp.

./configure gets run twice on my machine in pbuilder due to the above
two issues.

For some reason the mktime test in ./configure takes ages and a lot of
CPU in pbuilder and then fails.

I get one dpkg-shlibdeps warning, please ask upstream to remove -lm
from the link flags:

dependency on libm.so.6 could be avoided if
"debian/dnshistory/usr/bin/dnshistory" were not uselessly linked
against it (they use none of its symbols).

I get one lintian pedantic complaint:

P: dnshistory: copyright-refers-to-symlink-license usr/share/common-licenses/GPL

You might want to review the debtags and upload a screenshot:




Reply to: